Finance::Quote::GoogleWeb(3pm)

NAME
Finance::Quote::GoogleWeb - Obtain quotes from Google Finance Web Pages

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %info = $q->fetch("googleweb", "aapl");  # Only query googleweb

    %info = $q->fetch("nyse", "ge");     # Failover to other sources OK.

DESCRIPTION
This module fetches information from <https://www.google.com/finance/>.

This module is loaded by default on a Finance::Quote object. It's also possible to load it explicitly by placing "googleweb" in the argument list to Finance::Quote->new().

This module provides "googleweb", "bats", "nyse", and "nasdaq" fetch methods.

LABELS RETURNED
The following labels are returned:

name
symbol
last
date
currency
method

AVAILABLE EXCHANGES
While the Google Finance web pages contain price information from other stock exchanges, this module currently retrieves last trade prices for securities listed on the NYSE, American, BATS, and NASDAQ stock exchanges. U.S. Mutual Funds quotes can also be retrieved with this module.